Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 2.3SynchronousAuth Required
CreateSNSTopic
CreateSNSTopic
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
resourceUuidStringOptional.
tagUuidsListThe tag uuid list.
localeStringThe internationalized language.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/topics
/zstack/v1/sns/topics
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/topics' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"locale":"<locale>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "a3a307316bb543e786b6dcac39847642", "name": "new name", "state": "Enabled", "locale": "zh_CN", "createDate": "Dec 25, 2023 2:08:21 PM", "lastOpDate": "Dec 25, 2023 2:08:21 PM" } }Change History
This API has no change history records yet.
